Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 341291 - [gnome overlay] dev-libs/folks cannot be build with USE=doc (missing valadoc dependency)
Summary: [gnome overlay] dev-libs/folks cannot be build with USE=doc (missing valadoc ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.32 gnome3
  Show dependency tree
 
Reported: 2010-10-16 15:24 UTC by Maciej Piechotka
Modified: 2012-02-12 14:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
folks-0.2.1.ebuild (folks-0.2.1.ebuild,1.07 KB, text/plain)
2010-11-11 11:20 UTC, Pacho Ramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Piechotka 2010-10-16 15:24:43 UTC
checking /usr/bin/valac-0.10 is at least version 0.10.0... yes
checking for vapigen... /usr/bin/vapigen-0.10
checking for gobject-introspection... yes
checking for GLIB... yes
checking for GMODULE... yes
checking for GIO... yes
checking for DBUS_GLIB... yes
checking for GEE... yes
checking for TP_GLIB... yes
checking for  telepathy-glib dbus-glib-1 gio-2.0 gee-1.0 vala bindings... yes
checking for memset... yes
checking for strstr... yes
checking for LIBXML... yes
checking for valadoc... :
configure: error: valadoc not found


Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2010-10-20 06:41:20 UTC
hum valadoc not in tree ?
Comment 2 Maciej Piechotka 2010-10-20 07:00:26 UTC
(In reply to comment #1)
> hum valadoc not in tree ?
> 

Neither in tree nor in dependencies of folks.
Comment 3 Gilles Dartiguelongue gentoo-dev 2010-10-22 22:57:22 UTC
checked and valadoc doesn't even have a release to be found :(
Comment 4 Pacho Ramos gentoo-dev 2010-10-24 13:50:58 UTC
Are you sure this should block 2.32 tracker? (or does it cover overlay issues also?, I thought it was more oriented to the main tree...)
Comment 5 Pacho Ramos gentoo-dev 2010-10-29 20:00:03 UTC
(In reply to comment #4)
> Are you sure this should block 2.32 tracker? (or does it cover overlay issues
> also?, I thought it was more oriented to the main tree...)
> 

Ups, it will be required for empathy-2.32 :-S
Comment 6 Pacho Ramos gentoo-dev 2010-11-11 11:20:06 UTC
Created attachment 253989 [details]
folks-0.2.1.ebuild

I would simply --disable-docs for now but, before getting attached build in the tree, we would need to know if we are ready to unmask >=dev-libs/gobject-introspection-0.9.12 and net-libs/telepathy-glib vala USE flag in the near future :-/
Comment 7 Pacho Ramos gentoo-dev 2010-12-04 19:08:13 UTC
Solved in in-tree version